Rapid7 Vulnerability & Exploit Database

RHSA-2015:1840: openldap security update

Back to Search

RHSA-2015:1840: openldap security update

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Published
09/11/2015
Created
07/25/2018
Added
09/30/2015
Modified
07/04/2017

Description

OpenLDAP is an open source suite of Lightweight Directory Access Protocol(LDAP) applications and development tools. LDAP is a set of protocols usedto access and maintain distributed directory information services over anIP network. The openldap package contains configuration files, libraries,and documentation for OpenLDAP.A flaw was found in the way the OpenLDAP server daemon (slapd) parsedcertain Basic Encoding Rules (BER) data. A remote attacker could use thisflaw to crash slapd via a specially crafted packet. (CVE-2015-6908)All openldap users are advised to upgrade to these updated packages, whichcontain a backported patch to correct this issue.

Solution(s)

  • redhat-upgrade-compat-openldap
  • redhat-upgrade-openldap
  • redhat-upgrade-openldap-clients
  • redhat-upgrade-openldap-debuginfo
  • redhat-upgrade-openldap-devel
  • redhat-upgrade-openldap-servers
  • redhat-upgrade-openldap-servers-overlays
  • redhat-upgrade-openldap-servers-sql

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;